---
pip_python_coreos_modules:
  - httplib2
  - six

override_system_hostname: true

bootstrap_python: false

kernel_modules:
  - overlay
  - br_netfilter
  - ip_vs
  - ip_vs_rr
  - ip_vs_wrr
  - ip_vs_sh

kernel_parameters:
  - net.bridge.bridge-nf-call-iptables
  - net.bridge.bridge-nf-call-arptables
  - net.bridge.bridge-nf-call-ip6tables
  - net.ipv4.ip_forward

bin_dir: /opt/bin

sysctl_file_path: "/etc/sysctl.d/99-kubernetes.conf"
module_load_path: "/etc/modules-load.d/99-kubernetes.conf"

etcd_version: 3.4.4
etcd_release_url: https://github.com/etcd-io/etcd/releases/download/v{{ etcd_version }}/etcd-v{{ etcd_version }}-linux-amd64.tar.gz
etcd_release_dir: /opt/etcd

jq_version: 1.6
jq_release_url: https://github.com/stedolan/jq/releases/download/jq-{{ jq_version }}/jq-linux64
